Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.util
Class Option

    java.lang.Object
      avrora.util.Option

Direct Known Subclasses:
  Option.Bool, Option.List, Option.Long, Option.Str

public abstract class Option
extends java.lang.Object

The `Option` class represents an option that has been given on the command line. The inner classes represent specific types of options such as integers, booleans, and strings.

See Also:
  `Options`

Nested Class Summary
`static class` | `Option.Bool` The `Option.Bool` class is an implementation of the `Option` class that encapsulates a boolean.
`static class` | `Option.List` The `Option.List` class is an implementation of the `Option` class that encapsulates a string.
`static class` | `Option.Long` The `Option.Long` class is an implementation of the `Option` class that encapsulates a long integer value.
`static class` | `Option.Str` The `Option.Str` class is an implementation of the `Option` class that encapsulates a string.

Field Summary
`protected java.lang.String` | `description`
`protected java.lang.String` | `name`

Constructor Summary
`Option(java.lang.String n)`
`Option(java.lang.String n, java.lang.String d)`

Method Summary
`java.lang.String` | `getName()`
`void` | `printDescription()`
`void` | `printHeader(java.lang.String type, java.lang.String defvalue)`
`abstract void` | `printHelp()`
`abstract void` | `set(java.lang.String val)`
`abstract java.lang.String` | `stringValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected final java.lang.String name

### description

    protected final java.lang.String description

Constructor Detail

### Option

    public Option(java.lang.String n)

### Option

    public Option(java.lang.String n,
                  java.lang.String d)

Method Detail

### getName

    public java.lang.String getName()

### set

    public abstract void set(java.lang.String val)

### stringValue

    public abstract java.lang.String stringValue()

### printHelp

    public abstract void printHelp()

### printDescription

    public void printDescription()

### printHeader

    public void printHeader(java.lang.String type,
                            java.lang.String defvalue)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD